%global         upstreamname  bats-core

Name:           bats
Version:        1.11.0
Release:        %mkrel 1
Summary:        Bash Automated Testing System
Group:          Shells
License:        MIT
URL:            https://github.com/%{upstreamname}/%{upstreamname}
Source0:        https://github.com/%{upstreamname}/%{upstreamname}/archive/v%{version}.tar.gz#/%{upstreamname}-%{version}.tar.gz

BuildArch:      noarch

Requires:       bash
Requires:       parallel
BuildRequires:  parallel
BuildRequires:  procps-ng

%description
Bats is a TAP-compliant testing framework for Bash. It provides a simple way to
verify that the UNIX programs you write behave as expected. Bats is most useful
when testing software written in Bash, but you can use it to test any UNIX
program.

%prep
%setup -q -n %{upstreamname}-%{version}

%build
# NOTHING TO BUILD #

%install
./install.sh %{buildroot}%{_prefix}

%if 0
%check
./bin/bats test
%endif

%files
%doc AUTHORS README.md docs/CHANGELOG.md
%license LICENSE.md
%{_bindir}/%{name}
%{_libexecdir}/%{upstreamname}
%{_prefix}/lib/%{upstreamname}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man7/%{name}.7.*


%changelog
* Mon May 27 2024 daviddavid <daviddavid> 1.11.0-1.mga10
+ Revision: 2067875
- new version: 1.11.0

* Thu Sep 14 2023 daviddavid <daviddavid> 1.10.0-1.mga10
+ Revision: 1986783
- new version: 1.10.0

* Tue Dec 13 2022 daviddavid <daviddavid> 1.8.2-1.mga9
+ Revision: 1921747
- new version: 1.8.2

* Wed Aug 03 2022 neoclust <neoclust> 1.7.0-1.mga9
+ Revision: 1874778
- New version 1.7.0

* Fri Mar 25 2022 umeabot <umeabot> 1.3.0-2.mga9
+ Revision: 1825482
- Mageia 9 Mass Rebuild

* Sun Mar 21 2021 daviddavid <daviddavid> 1.3.0-1.mga9
+ Revision: 1706550
- new version: 1.3.0
- new build dependency - procps-ng (needed for testing)

* Thu Dec 31 2020 neoclust <neoclust> 1.2.1-1.mga8
+ Revision: 1666654
- imported package bats

